Class | Tk::Iwidgets::Calendar
In: | tk/lib/tkextlib/iwidgets/calendar.rb
Parent: | Tk::Itk::Widget

### Methods

__validation_class_list get get_clicks get_string select show show_now

### Included Modules

Tk::ValidateConfigure

### Classes and Modules

Class Tk::Iwidgets::Calendar::CalendarCommand

### Constants

TkCommandNames | = | ['::iwidgets::calendar'.freeze].freeze
WidgetClassName | = | 'Calendar'.freeze

### Public Instance methods

__validation_class_list()

[Source]

    # File tk/lib/tkextlib/iwidgets/calendar.rb, line 65
      def __validation_class_list
        super() << CalendarCommand
      end

get()

Alias for get_string

get_clicks()

[Source]

    # File tk/lib/tkextlib/iwidgets/calendar.rb, line 89
      def get_clicks
        number(tk_call(@path, 'get', '-clicks'))
      end

get_string()

[Source]

    # File tk/lib/tkextlib/iwidgets/calendar.rb, line 84
      def get_string
        tk_call(@path, 'get', '-string')
      end

select(date)

[Source]

    # File tk/lib/tkextlib/iwidgets/calendar.rb, line 93
      def select(date)
        tk_call(@path, 'select', date)
        self
      end

show(date)

[Source]

    # File tk/lib/tkextlib/iwidgets/calendar.rb, line 98
      def show(date)
        tk_call(@path, 'show', date)
        self
      end

show_now()

[Source]

    # File tk/lib/tkextlib/iwidgets/calendar.rb, line 102
      def show_now
        tk_call(@path, 'show', 'now')
        self
      end

[Validate]